
/*
 * Base structure
 */

/* Move down content because we have a fixed navbar that is 3.5rem tall 
body {
  padding-top: 3.5rem;
}
*/

/*
 * Typography
 */

hr {
  border-color: #808080 ;
}


h1 {
  padding-bottom: 9px;
  margin-bottom: 20px;
  border-bottom: 1px solid #eee;
}

pre {
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  color: inherit;
}

table tr td {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
  padding-left: 3px !important;
  padding-right: 3px !important;
}

.table>tbody>tr>td {vertical-align: middle}

table tr th {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
  padding-left: 3px !important;
  padding-right: 3px !important;
}

.btn-space {
    margin-top: 5px;
    margin-bottom: 5px;
}

.btn-sm {
    line-height: 1.0;
    /* padding: 0px 2px; */
}

/*
 * Dropdown sub-menu for Gate status selections
 */

.dropdown-submenu {
    position: relative;
}
.dropdown-submenu a::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}
.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 51px;
  bottom: 0;
  left: 0;
  z-index: 1000;
  padding: 20px 0;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
  border-right: 1px solid #eee;
}

.sidebar .nav {
  margin-bottom: 20px;
}

.sidebar .nav-item {
  width: 100%;
}

.sidebar .nav-item + .nav-item {
  margin-left: 0;
}

.sidebar .nav-link {
  border-radius: 0;
}

/*
 * Dashboard
 */

/* Placeholders */
.placeholders {
  padding-bottom: 3rem;
}

.placeholder img {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
}

/* comment format  - sample from https://codepen.io/magnus16/pen/buGiB */
/* @import url(//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css); */

.detailBox {
    width:100%;
    border:1px solid #bbb;
    /* margin:50px; */
}
.titleBox {
    background-color:#fdfdfd;
    padding:10px;
}
.titleBox label{
  color:#444;
  margin:0;
  display:inline-block;
}

.commentBox {
    padding:10px;
    border-top:1px dotted #bbb;
}
.commentBox .form-group:first-child, .actionBox .form-group:first-child {
    width:80%;
}
.commentBox .form-group:nth-child(2), .actionBox .form-group:nth-child(2) {
    width:18%;
}
.actionBox .form-group * {
    width:100%;
}
.taskDescription {
    margin-top:10px 0;
}
.commentList {
    padding:0;
    list-style:none;
    max-height:200px;
    overflow:auto;
}
.commentList li {
    margin:0;
    margin-top:10px;
}
.commentList li > div {
    display:table-cell;
}
.commenterImage {
    width:30px;
    margin-right:5px;
    height:100%;
    float:left;
}
.commenterImage img {
    width:100%;
    border-radius:50%;
}
.commentText p {
    margin: 0 3px;
    line-height: 1.0;
}
.sub-text {
    color:#aaa;
    font-family:verdana;
    font-size:11px;
}
.actionBox {
    border-top:1px dotted #bbb;
    padding:10px;
}
.ts-wrapper {
  font-size: 1rem;  /* Match Bootstrap default */
  font-family: var(--bs-body-font-family);
  line-height: 1.5;
}

/* .ts-control {
  min-height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  background-color: #fff;
  display: flex;
  align-items: center;
} 
*/

.ts-control .item {
  font-size: 1rem;
}

.ts-dropdown,
.ts-dropdown .option {
  font-size: 1rem;
}

.ts-control input {
  font-size: 1rem !important;
  font-family: var(--bs-body-font-family) !important;
  line-height: 1.5;
  padding: 0.375rem 0.75rem; /* Bootstrap default for inputs */
  height: auto;
}

.ts-control {
  min-height: 38px;  /* Bootstrap .form-control default height */
  font-size: 1rem;   /* match other inputs */
  line-height: 1.5;
  padding: 0.375rem 0.75rem;
}


/* select.tomselect {
  display: none !important;
} */

/* .ts-control input::placeholder {
  color: #6c757d; 
  font-size: 1rem;
} */

div.dt-buttons .btn {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
}

